Your Moodle version

Themes: Cubic

theme_cubic
Maintained by Picture of Bruno Sampaio Bruno Sampaio
Cubic is a new theme for Moodle 2.3. Its objective is to provide users with a more user-friendly interface, which provides several forms of social awareness and some new concepts.

Sets

This plugin is part of set Cubic. Plugins from the set work the best when installed together.

This theme is a base theme for Moodle, which introduces some new concepts and which takes advantage of some new technologies like HTML5 and CSS3.

On the top of every Moodle page, this theme introduces a user bar which provides users with several menus. Each of these menus contain information about the current user courses, activities, notifications, events, messages, settings, and others.

Besides that, this theme is related to two new Moodle local plugins, which introduce the Institutions (https://moodle.org/plugins/view.php?plugin=local_institutions) and the Applications (https://moodle.org/plugins/view.php?plugin=local_applications) concepts in Moodle. On the user bar a menu for each of those concepts is displayed. Those menus allow the users to access institutional or applications web pages, respectively. Both the institutions and the applications pages can be accessed without leaving Moodle.

Furthermore, this theme is also related to a new Moodle block plugin that introduces a chat service for Moodle that is available for everyone, a bit like Google Chat or Facebook Chat (https://moodle.org/plugins/view.php?plugin=block_gchat).

Since the user bar contains a lot of useful information, the blocks are no longer required in some contexts. For example, when embedding a page, Cubic uses all horizontal and vertical space leaving only the user bar in the top.

Finally, this theme also provides a settings page where you can change several properties like logos, colors, system name, and others. On this page you can also remove the institutions and applications menus from the user bar in case you don't want to use them.

Screenshots

Screenshot
Screenshot

Contributors

Picture of Bruno Sampaio
Bruno Sampaio (Lead maintainer)
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Picture of Bruno Sampaio
    Tue, Mar 26, 2013, 10:46 PM
    Hello,

    Thank you for all your feedback. I already created a repository on Github for this theme (https://github.com/Anakin88/moodle-theme_cubic) and I removed all the code related to the other plugins from the theme/cubic/db folder.

    Tell me what you think about this version and in case you think it is ready I will add it here.

    On the following weeks I'll try to convert the applications and institutions to local plugins.
  • Capt. Moodle
    Wed, Mar 27, 2013, 10:18 AM
    Bruno - I think this looks much better. Go ahead and add a new version and then reschedule this plugin for re-approval and I will give it another test run which I expect to go smoothly. When you create the local plugins for applications and institutions, we can create a set to group them together. Keep up the great work! Peace - Anthony
  • Capt. Moodle
    Thu, Mar 28, 2013, 2:47 PM
    Bruno - A couple of minor things, the first keeps the screenshot from appearing when the theme is selected and is just a matter of changing:
    ./lang/en/theme_cubic.php: screenshot.jpg
    to reference the screenshot.png file you are using.

    Unless you make the institutions and applications local plugins dependencies, I might encourage you to see the default values for show_institutions and show_applications to No rather than Yes. None of these issues are in my opinion anything overly significant and I will let you decide what you think is best. I am going to go ahead and approve this theme and look forward to seeing your other contributions as you are able. Please do not hesitate to let me know if there is anything I can do to be supportive of your efforts. Peace - Anthony
  • Picture of Paullo Abreu
    Fri, Mar 29, 2013, 4:01 AM
    Dear Bruno, any possibility for 2.4 in the near future? I tried it in 2.4 nd it doesn't work...
  • Picture of Bruno Sampaio
    Fri, Mar 29, 2013, 4:40 AM
    Yeah, maybe I can give it a try in the near future, but at the moment I haven't enough time to work on that sorry sad
  • Picture of Lorence Issa
    Wed, Apr 17, 2013, 4:47 PM
    Hi team,
    When I try installing the cubic theme (after installing the 2 plugins and 2 blocks) i receive a batch of text when i try to click on "Change theme" (moodle 2.3) i receive the following message :/



    https://dl.dropboxusercontent.com/u/9395241/code_cubic.txt

    Any ideas would be greatly appreciated smile
  • Picture of Bruno Sampaio
    Thu, Apr 18, 2013, 4:36 AM
    Hello,

    I never got this error :s

    - This only happens when you try to change to Cubic theme?
    - Other themes don't give you this problem?
    - The theme changed or does it remained the same?
    - Have you installed any other plugins besides the ones on this set?

    Sorry for the questions but I want to understand exactly what happened so I can try to generate and understand this error.
  • Picture of Lorence Issa
    Thu, Apr 18, 2013, 7:11 AM
    It's very odd...
    1. this happens when I click on "Change theme" even before i select the cubic theme.
    2. that's correct! (just tried installing a new theme and clicking the "change theme" button doesn't give throw this error...
    3. It breaks the whole site when i apply it... (break, same kind of source code showing even when i go to the front page of the moodle site).. the only way to fix it is to remove the cubic folder from the themes folder..
    4. No, only the 4 plugins... 2 inside local and 2 inside blocks smile

    It's abit confusing... the version of moodle we're using is 2.3.6

    thanks for your help
  • Picture of Bruno Sampaio
    Fri, Apr 19, 2013, 5:17 AM
    Ok, I think I may know which is your problem. It may be related with your PHP version. Which version are you using? In case it is bellow 5.4, or if you don't know how to check it, please try the theme version I just uploaded.
  • Picture of Lorence Issa
    Fri, Apr 19, 2013, 8:30 AM
    You are right!!!! PHP Version : 5.3.13
    I'll try the one you just uploaded now and report back smile
  • Picture of Lorence Issa
    Fri, Apr 19, 2013, 8:32 AM
    Well done.. that seems to have fixed it.. thankyou smile
  • Picture of Bruno Sampaio
    Fri, Apr 19, 2013, 4:04 PM
    Great! :D You'll probably find this same problem with the Global Chat plugin, if that's the case please use the version I just uploaded for that plugin.
  • Picture of David Erblich
    Tue, Apr 23, 2013, 5:29 AM
    Hi Bruno, does this theme work with moodle 2.4
  • Picture of Edivaldo Ribeiro de Sousa
    Tue, Apr 23, 2013, 9:27 PM
    Hi, i want know if this theme works in moodle 2.4.

    Thanks!!!
  • Picture of Bruno Sampaio
    Tue, Apr 23, 2013, 11:18 PM
    Hi, I've never tried it on Moodle 2.4, but some people mentioned before that it wasn't working correctly with that version. I suggest you try to use it and if it has problems just change back to another theme.
1 2
Please login to post comments